[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFPImageBitmap.FinalizeWriter

FinalizeWriter - ends the Image writing process.

## Declaration

Source position: graphics.pp line 1448

`protected procedure TFPImageBitmap.FinalizeWriter(`
`AWriter: TFPCustomImageWriter`
`); virtual;`

## Arguments

`AWriter` |  | FCL image writer class examined in the method.

## Description

FinalizeWriter is a virtual method used to finalize the FCL-compatible image writer class instance in AWriter. When AWriter implements the ILazImageWriter interface, its Finalize method is called to release image data in the LCL interface image.